package http_model

import "youngee_b_api/model/gorm_model"

type FullSProjectIncomeListRequest struct {
	SupplierId   int   `json:"supplier_id"`     // 服务商ID
	IncomeStatus int   `json:"income_status"`   // 收入状态
	SProjectId   int   `json:"s_project_id"`    // 种草任务ID
	SLocalLifeId int   `json:"s_local_life_id"` // 本地生活ID
	PageNum      int32 `json:"page_num"`
	PageSize     int32 `json:"page_size"`
}

type FullSProjectIncomeData struct {
	SProjectIncomeList []*gorm_model.YounggeeSupplierIncome `json:"s_project_income"` // 服务商加入商单的种草任务信息
	Total              int64                                `json:"total"`            // 数量
}

func NewFullSProjectIncomeRequest() *FullSProjectIncomeListRequest {
	return new(FullSProjectIncomeListRequest)
}

func NewFullSProjectIncomeResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(FullSProjectIncomeData)
	return resp
}
